Subject: Re: [patch][0/5] powerpc: Add support to fully comply with IEEE-754 standard

From: Segher Boessenkool <[email-masked]>
Date: Fri, 12 Jan 2007 13:06:04 +0100

> I wrote some cases for testing. For SPFP and DPFP exception testing,
> the test cases included plus, minus, multiply, divide, comparisons, 
> conversions,
> DBZ... for Nan/Denorm/Inf numbers. I also tested the cases that
> the operation result would generate Nan/Denorm/Inf/overflow/underflow
> numbers. For Vector SPFP exception testing, I wrote inline asm based 
> testing
> program to test the instructions directly.

Any chance you could submit that testing code too?  Would
be useful for others :-)

Segher